fann_create_sparse_array
fann_create_standard_array
Fann Functions
PHP Manual

# fann_create_sparse

Creates a standard backpropagation neural network, which is not fully connected

### Description

ReturnType fann_create_sparse ( float `$connection_rate` , int `$num_layers` , int `$num_neurons1` , int `$num_neurons2` [, int `$...` ] )

Creates a standard backpropagation neural network, which is not fully connected.

### Parameters

`connection_rate`

  The connection rate controls how many connections there will be in the network. If the connection rate is set to 1, the network will be fully connected, but if it is set to 0.5 only half of the connections will be set. A connection rate of 1 will yield the same result as fann_create_standard.

`num_layers`

  The total number of layers including the input and the output layer.

`num_neurons1`

  Number of neurons in the first layer.

`num_neurons2`

  Number of neurons in the second layer.

`...`

  Number of neurons in other layers.

### Return Values

Returns a neural network resource on success, or `FALSE` on error.

### See Also

- fann_create_sparse_array
- fann_create_standard
- fann_create_shortcut